Animation en jeu



  • Salut a tous

    J'aimerais créer un mod avec une animation en jeu, exemple d'animation les mains en l'air avec  un texte afficher au dessus du joueur effectuant l'animation
    qui serais contenu dans un gui ce que j'aimerais savoir c'est comment effectuer l'animation, ou être rediriger vers un tutoriel.



  • Salut, ta demande a l'air cool mais ce n'est pas particulièrement évident si tu débutes. Quel rapport avec un gui ? Tu veux voir ton joueur s'animer dans un gui, ou daLa 1.7.10 est vieille, pourquoi vouloir y reste ?



  • Salut, ta demande a l'air cool, mais particulièrement difficile si tu débutes. Avant tout chose, laisse moi te poser plusieurs questions 😃
    Premièrement, je n'ai pas bien saisi le rapprochement avec le gui, tu souhaites voir ton joueur s'animer dans ce gui, ou dans ton monde, sois + précis, s'il te plaît ? De plus, pourquoi vouloir rester en 1.7.10 ? Tu demandes un tutoriel, mais je n'en connais pas un qui répond et donne du code pour une telle fonctionnalité, il faudra en piocher un peu partout pour y arriver.
    Une animation dans MC peut-être réalisé via du code composé de calculs et de variations d'angles à l'aide de fonctions trigonométriques. Dans ce cas, il faut être à l'aise avec les maths et s'assurer que son animation est périodique, qu'elle se répète dans le temps, sinon ce sera loin d'être évident ! Ou sinon, tu peux réaliser ton animation via divers softwares facilitant la tâche. Je te recommanderai ma librairie, ou celle d'Ama, auquel cas il faudra upgrade ta version.
     Enfin une telle animation aura besoin d'être synchronisé entre tes différents clients connectés au serveur, donc la variable symbolisant la progression devra être mise en relation par l'outil des DataWatchers (aucun tuto sur ce thème, j'ai une ébauche, que je peux te filer, autrement c'est un outil très facilement compréhensible même quand on débute).



  • C'est une animation en jeu met pour réaliser cette action faudrait appuyé sur un bouton dans le gui pourquoi la 1.7.10 car le serveur sur lequel je developpe est en 1.7.10 et que c'est une bonne version, je voudrais bien l'outil dont tu a parlez.



  • D'accord, donc tu devras passer par un KeyEvent, puis par un packet pour prévenir le serveur.



  • Et tu veux pas faire passer ton serv en 1.12.2 😛 ? Il y a deux blocs de codage : Avant la 1.7.10 (inclus), et après la 1.7.10. ça va être l'enfer si tu veux ensuite monter ta version :/… Tu abandonnes toutes les nouveautés, mêmes les futures de la 1.13 ?
    J'espère que c'est pas un serveur mort-né...


Log in to reply